Bug 1765768 - html2text: AttributeError: 'str' object has no attribute 'decode'
Summary: html2text: AttributeError: 'str' object has no attribute 'decode'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-html2text
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-25 22:02 UTC by W. Michael Petullo
Modified: 2019-11-07 03:49 UTC (History)
2 users (show)

Fixed In Version: python-html2text-2019.9.26-2.fc31 python-html2text-2019.9.26-2.fc30 python-html2text-2019.9.26-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 01:17:29 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2019-10-25 22:02:45 UTC
Description of problem:
Similar to bug #1654317. 

Version-Release number of selected component (if applicable):
python3-html2text-2019.8.11-1.fc31.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Run "wget --quiet -O - https://downloads.openwrt.org/snapshots/faillogs/x86_64/packages/ | html2text"

Actual results:
Traceback (most recent call last):
  File "/usr/bin/html2text", line 11, in <module>
    load_entry_point('html2text==2019.8.11', 'console_scripts', 'html2text')()
  File "/usr/lib/python3.7/site-packages/html2text/cli.py", line 262, in main
    data = data.decode(args.encoding, args.decode_errors)
AttributeError: 'str' object has no attribute 'decode'

Expected results:
Should transform with no error.

Additional info:

Comment 1 Troy Dawson 2019-10-28 13:27:24 UTC
Re-assigning to correct package.

Comment 2 Sergio Monteiro Basto 2019-10-28 13:53:47 UTC
 I remembered that I read that with python 2 it worked . [1] works 

[1] 
wget --quiet -O - https://downloads.openwrt.org/snapshots/faillogs/x86_64/packages/ | /usr/bin/python2-html2text

Comment 3 Fedora Update System 2019-10-29 11:08:40 UTC
FEDORA-2019-9923f9cfd0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9923f9cfd0

Comment 4 Fedora Update System 2019-10-29 11:08:59 UTC
FEDORA-2019-a92355aba1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a92355aba1

Comment 5 Fedora Update System 2019-10-29 11:09:10 UTC
FEDORA-2019-ff5f27fd5f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff5f27fd5f

Comment 6 Fedora Update System 2019-10-30 01:19:46 UTC
python-html2text-2019.9.26-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a92355aba1

Comment 7 Fedora Update System 2019-10-30 01:29:53 UTC
python-html2text-2019.9.26-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9923f9cfd0

Comment 8 Fedora Update System 2019-10-30 02:40:23 UTC
python-html2text-2019.9.26-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff5f27fd5f

Comment 9 Fedora Update System 2019-11-07 01:17:29 UTC
python-html2text-2019.9.26-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-07 02:41:45 UTC
python-html2text-2019.9.26-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-11-07 03:49:22 UTC
python-html2text-2019.9.26-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.